
Figure - Bug #118391
【BSP】【VC1】【EVT3】【tlog】OTA压测后，tlog中没有fota相关日志
2023-05-31 14:48 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-05-31

Priority: High Due date:

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: SYSTEM Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0106

Resolution: FIXED Degrated: No

Severity: Major Verified Version:

Reproducibility: Occasionally Fixed Version: 2023-06-03

Test Type: ST Root cause: selinux权限问题导致

Description

Description

前置条件：

操作步骤：

1、烧写0106 user版本

2、使用自升级进行压测

3. 抓取日志

实际结果：

1、tlog的历史日志中没有ota的日志

预期结果：

1、可以保存每次正常的升级日志

History

#1 - 2023-05-31 14:49 - 移动测试一组_CDTS 刘强

- File FSEM_000435_0551_0531093108.tar.gz added

- File FSEM_000434_0550_0531090642.tar.gz added

- File FSEM_000433_0549_0531085526.tar.gz added

#2 - 2023-05-31 18:54 - CD SYSTEM-夏旭

■目前进度

查看logcat发现有相关的tlog权限问题，

05-31 11:30:15.129  3883  3883 I auditd  : type=1400 audit(0.0:293): avc: denied { dac_read_search } for comm="tlogd.sh" capability=2

scontext=u:r:np_thundercomm_tlogdsh:s0 tcontext=u:r:np_thundercomm_tlogdsh:s0 tclass=capability permissive=0

05-31 11:30:15.129  3883  3883 W tlogd.sh: type=1400 audit(0.0:293): avc: denied { dac_read_search } for capability=2 scontext=u:r:np_thundercomm_tlogdsh:s0

tcontext=u:r:np_thundercomm_tlogdsh:s0 tclass=capability permissive=0

05-31 11:30:15.129  3883  3883 I auditd  : type=1400 audit(0.0:294): avc: denied { dac_override } for comm="tlogd.sh" capability=1

scontext=u:r:np_thundercomm_tlogdsh:s0 tcontext=u:r:np_thundercomm_tlogdsh:s0 tclass=capability permissive=0

05-31 11:30:15.129  3883  3883 W tlogd.sh: type=1400 audit(0.0:294): avc: denied { dac_override } for capability=1 scontext=u:r:np_thundercomm_tlogdsh:s0

tcontext=u:r:np_thundercomm_tlogdsh:s0 tclass=capability permissive=0
但是有些设备是可以正常抓取ota日志，并且logcat中发现也有这个报错，

怀疑不是这个导致的，并且直接加以上权限会触发neverallow

■下一步计划

对比可以抓取的设备，查看是否有不一样的

#3 - 2023-06-01 21:19 - CD SYSTEM-夏旭

- Status changed from New to ASSIGNED

■目前进度

发现版本都无法获取ota日志，并且都有avc报错

userdebug版本setenforce 0，关闭selinux，发现可以获取ota日志

并且有相关报错

05-21 01:01:25.910  4348  4348 I tlogd.sh: type=1400 audit(0.0:224): avc: denied { dac_read_search } for capability=2 scontext=u:r:np_thundercomm_tlogdsh:s0

tcontext=u:r:np_thundercomm_tlogdsh:s0 tclass=capability permissive=1

■下一步计划

添加权限

#4 - 2023-06-02 20:10 - CD SYSTEM-夏旭

- % Done changed from 0 to 80

■目前进度

dac_read_search相关的selinux是加不上的，需要添加相应的group到对应的服务上就可以了

system cache

本地验证OK

■下一步计划

VB验证

#5 - 2023-06-03 22:29 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

204401 general/platform/vendor/thundercom

m/apps/LogSystem

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

xu.xia@thundersoft.com

SYSTEM :Tlog: Unable to copy ota filesmodify service tlogdsho groupChange-Id: I6535694463098992d87e5b05b739ad3be120f69fTC-RID: 1200-0800102IssueID:

TS-R-BUG-118391

#6 - 2023-06-05 09:51 - CD SYSTEM-夏旭

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD SYSTEM-夏旭 to 移动测试一组_CDTS 刘强

- % Done changed from 80 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No
- Fixed Version set to 2023-06-03

- Root cause set to selinux权限问题导致

■目前进展

VB版本验证成功

提交已经和入

■下一步计划

测试验证

#7 - 2023-06-07 17:39 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

验证版本：108版本

验证结果：验证通过

#8 - 2023-06-07 17:39 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED

Files

FSEM_000435_0551_0531093108.tar.gz 1.61 MB 2023-05-31 移动测试一组_CDTS 刘强

FSEM_000434_0550_0531090642.tar.gz 1.35 MB 2023-05-31 移动测试一组_CDTS 刘强

FSEM_000433_0549_0531085526.tar.gz 1.5 MB 2023-05-31 移动测试一组_CDTS 刘强
